Package org.freeplane.api

# Interface BorderRO

All Known Subinterfaces:
  `Border`, `Proxy.Border`, `Proxy.BorderRO`

public interface BorderRO
Border to parent node: `node.style.border` - read-only.

Since:
  1.11.8

  Example:

       def msg = ""
       msg += "this node has border line type '$node.style.border.dash' set"
       msg += node.style.border.usesEdgeDash?',\nbut actually it shows the same line type as the node\'s edge':''
       ui.informationMessage(msg)

  Example:

       def myText = new StringBuilder('|parameter|value|is set?|\n|:---|:---:|:---:|\n')

       node.style.border.with{
           myText invalid input: '<'invalid input: '<' '|width|' + width + '|' + widthSet  + '|\n'
                  invalid input: '<'invalid input: '<' '|usesEdgeWidth|' + usesEdgeWidth  + '|' + usesEdgeWidthSet  + '|\n'
                  invalid input: '<'invalid input: '<' '|usesEdgeDash|' + usesEdgeDash  + '|' + usesEdgeDashSet  + '|\n'
                  invalid input: '<'invalid input: '<' '|dash|' + dash  + '|' + dashSet  + '|\n'
                  invalid input: '<'invalid input: '<' '|usesEdgeColor|' + usesEdgeColor  + '|' + usesEdgeColorSet  + '|\n'
                  invalid input: '<'invalid input: '<' '|color|' + color + ' ( ' + colorCode + ' )|' + colorSet  + '|\n'
       }

       def outputNode = node.createChild('border parameters in node\'s note')
       outputNode.note = myText.toString()
       outputNode.noteContentType = 'markdown'

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor()`
`String`
`getColorCode()`
`Dash`
`getDash()`
`boolean`
`getUsesEdgeColor()`
`boolean`
`getUsesEdgeDash()`
`boolean`
`getUsesEdgeWidth()`
`Quantity<LengthUnit>`
`getWidth()`
`boolean`
`isColorSet()`
`boolean`
`isDashSet()`
`boolean`
`isUsesEdgeColorSet()`
`boolean`
`isUsesEdgeDashSet()`
`boolean`
`isUsesEdgeWidthSet()`
`boolean`
`isWidthSet()`

## Method Details

### getColor

Color getColor()

### getColorCode

String getColorCode()

### isColorSet

boolean isColorSet()

### getWidth

Quantity<LengthUnit> getWidth()

### isWidthSet

boolean isWidthSet()

### getDash

Dash getDash()

### isDashSet

boolean isDashSet()

### getUsesEdgeColor

boolean getUsesEdgeColor()

### getUsesEdgeWidth

boolean getUsesEdgeWidth()

### getUsesEdgeDash

boolean getUsesEdgeDash()

### isUsesEdgeColorSet

boolean isUsesEdgeColorSet()

### isUsesEdgeWidthSet

boolean isUsesEdgeWidthSet()

### isUsesEdgeDashSet

boolean isUsesEdgeDashSet()